# https://github.com/RDFLib/rdflib/archive/4.2.2.tar.gz
%global module rdflib

Name:           python-%{module}
Version:        4.2.2
Release:        %mkrel 2
Summary:        Python library for working with RDF

License:        BSD
Group:          Development/Python
URL:            https://github.com/RDFLib/rdflib
Source0:        %{module}-%{version}.tar.xz

BuildRequires:  python-html5lib
BuildRequires:  python-isodate
BuildRequires:  python-pyparsing
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRequires:  python3-html5lib
BuildRequires:  python3-isodate
BuildRequires:  python3-pyparsing
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
Requires:       python-html5lib
Requires:       python-isodate
Requires:       python-pyparsing

%description
%{summary}.

%package -n     python3-%{module}
Summary:        %{summary}
Group:          Development/Python
Requires:       python3-html5lib
Requires:       python3-isodate
Requires:       python3-pyparsing

%description -n python3-%{module}
%{summary}.

%prep
%setup -qn %{module}-%{version}
find . -iname \*.py -exec perl -pi -e 's:^#!.*:#!%{__python2}:g' {} \;
cp -a . %{py3dir}
find %{py3dir} -iname \*.py -exec perl -pi -e 's:^#!.*:#!%{__python3}:g' {} \;

%build
pushd %{py3dir}
%py3_build
popd
%py2_build

%install
pushd %{py3dir}
%py3_install
%py_byte_compile %{__python3} %{buildroot}%{python3_sitelib}
pushd %{buildroot}%{_bindir}
for file in *; do mv $file python3-$file; done
popd

%py2_install
%py_byte_compile %{__python2} %{buildroot}%{python2_sitelib}

%files
%defattr(-,root,root)
%doc LICENSE README.md
%{_bindir}/*
%exclude %{_bindir}/python3-*
%{python2_sitelib}/*

%files -n python3-%{module}
%defattr(-,root,root)
%doc LICENSE README.md
%{_bindir}/python3-*
%{python3_sitelib}/*

%changelog
* Mon Aug 22 2022 tex - 4.2.2-2pclos2022
- rebuild against updates

* Thu Apr 26 2018 marcin82 <fixxer1982 at gmail.com> 4.2.2-1pclos2018
- update, created python3 package

* Sun Aug 11 2013 billybot <billybot>
- update

* Tue Feb 01 2011 johnnyblack <johnnyblack at inbox.com> 2.4.2-1pclos2011
- import into pclos from mdv
